Show vendor price list
Retrieve a specific vendor price list by its ID
GET
/
admin
/
api
/
v1
/
purchases
/
vendor-price-lists
/
{id}
Show vendor price list
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"sort": 933724,
"delay": 30,
"product_name": "nostrum qui commodi",
"product_code": "SUP-4902",
"starts_at": "2026-02-15T00:00:00.000000Z",
"ends_at": "2026-08-07T00:00:00.000000Z",
"min_qty": 35,
"price": 16.1,
"discount": 44.27,
"product_id": 302,
"partner_id": 1,
"currency_id": 785,
"company_id": 1391,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}Authorizations
An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.
Query Parameters
Response
Success
⌘I
Show vendor price list
curl --request GET \
--url https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://erp.arukz.com/admin/api/v1/purchases/vendor-price-lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": null,
"sort": 933724,
"delay": 30,
"product_name": "nostrum qui commodi",
"product_code": "SUP-4902",
"starts_at": "2026-02-15T00:00:00.000000Z",
"ends_at": "2026-08-07T00:00:00.000000Z",
"min_qty": 35,
"price": 16.1,
"discount": 44.27,
"product_id": 302,
"partner_id": 1,
"currency_id": 785,
"company_id": 1391,
"creator_id": 1,
"created_at": null,
"updated_at": null
}
}{
"message": "Unauthenticated."
}{
"message": "Resource not found."
}